zzz-ARRCompatibility-class {AffyCompatible} | R Documentation

## (Auto-generated) classes and methods for navigating ARR sample attributes.

### Description

These classes and methods facilitate navigation of the Affymetrix ARR sample attribute files. ARR files are generated by the Affymetrix AGCC (GeneChiptextregistered{} Command Console) application. Specifically, the classes are R representations of the Affymetrix classes defined in ArraySetAndTemplateFile.dtd. The 'show' methods for these classs indicate how objects are to be accessed; details are in the `Retrieving MAGE and ARR sample attributes' vignette.

### Objects from the Class

Objects are created internally, by parsing XML retrieved from ARR, and are not created directly by the user.

### Slots

Objects have a variety of slots. To discover slot names and content type, see the `slotNames` portion of the example, below.

### Extends

Class `"ARRCompatibility"`, directly. Class `"AffyCompatible"`, by class "ARRCompatibility", distance 2.

### Methods

'Accessor' methods are defined on auto-generated classes to access slot content.

Accessors are apparent from displaying the object; each line of the display is of the form `accessor: content`. To retrieve the content of an instance `object`, invoke `accessor(object)`.

Some objects contains several instances of another object. These 'typed associations' are represented by the `.TypedAssociation` class, and are navigated or subset as one would a standard R vector, e.g., using `[`, `[[`. A useful paradigm for displaying all instances is illustrated in the vignette.

### Author(s)

Martin Morgan <mtmorgan@fhcrc.org>

### See Also

Vignette `Retrieving MAGE and ARR sample attributes'.

### Examples

    ## defined and auto-generated classes
    names(slot(getClass("ARRCompatibility",
                        where=getNamespace("AffyCompatible")),
               "subclasses"))

[Package AffyCompatible version 1.2.0 Index]